Package com.sleepycat.persist.model

## Class ModelInternal

- java.lang.Object
- - com.sleepycat.persist.model.ModelInternal

-     public class ModelInternal
      extends java.lang.Object

  Internal access class that should not be used by applications.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ModelInternal()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.ClassLoader` | `getClassLoader​(EntityModel model)` | Internal access method that should not be used by applications.
    `static void` | `setCatalog​(EntityModel model, com.sleepycat.persist.impl.PersistCatalog catalog)` | Internal access method that should not be used by applications.
    `static void` | `setClassLoader​(EntityModel model, java.lang.ClassLoader loader)` | Internal access method that should not be used by applications.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelInternal

          public ModelInternal()

  - ### Method Detail

    - #### setCatalog

          public static void setCatalog​(EntityModel model,
                                        com.sleepycat.persist.impl.PersistCatalog catalog)

      Internal access method that should not be used by applications.
      Parameters:
        `model` - the EntityModel.
        `catalog` - the PersistCatalog.

    - #### setClassLoader

          public static void setClassLoader​(EntityModel model,
                                            java.lang.ClassLoader loader)

      Internal access method that should not be used by applications.
      Parameters:
        `model` - the EntityModel.
        `loader` - the ClassLoader.

    - #### getClassLoader

          public static java.lang.ClassLoader getClassLoader​(EntityModel model)

      Internal access method that should not be used by applications.
      Parameters:
        `model` - the EntityModel.
      Returns:
        the ClassLoader.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.